#ifndef SPECTRAL_FIELD_H
#define SPECTRAL_FIELD_H
#include<complex>
#include"Cvec.h"
typedef std::complex<double> Creal;

class Spectral_Field {

public:
	Cvec omega = 0;
	Cvec E_omega = 0;
	Cvec phi = 0;
	Cvec E_time = 0;

// ------- FUNCTIONS -------
public:
	Spectral_Field();
	~Spectral_Field();

	void set_omega(double E_start, double E_step, double E_end);
	void set_Eomega(Cvec Eomega);
	void set_Eomega_gauss(double ampl, double omega_0, double width);
	void set_phi(double phi_0, double phi_1, double phi_2, double omega_0);

	void calculate_Etime(Cvec tlist);

};

#endif#pragma once
